Loading...
Searching...
No Matches
seqan3::tuple_printer< tuple_t > Struct Template Reference
Core » Debug Stream

Printer for formatted output of tuple like objects. More...

`#include <seqan3/core/debug_stream/tuple.hpp>`

Inheritance diagram for seqan3::tuple_printer< tuple_t >:
[legend]

## Public Member Functions

template<typename stream_t, typename arg_t>
constexpr void | operator() (stream_t &stream, arg_t &&arg) const
| Prints a tuple to a formatted output stream.

## Detailed Description

template<tuple_like tuple_t>
struct seqan3::tuple_printer< tuple_t >

Printer for formatted output of tuple like objects.

Template Parameters

  tuple_t | Type of the tuple to be printed; must model seqan3::tuple_like.

## Member Function Documentation

## operator()()

template<tuple_like tuple_t>
template<typename stream_t, typename arg_t>

void seqan3::tuple_printer< tuple_t >::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr

Prints a tuple to a formatted output stream.

Takes a stream and a tuple object as arguments and prints the tuple elements to the stream. The elements are printed using the detail::print_tuple function.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  [in,out] | stream | The stream to print to.
  [in] | arg | The tuple to print.

The documentation for this struct was generated from the following file:

- tuple.hpp

Hide me